#!/bin/sh
echo ""
echo ""

# **********************************READ THIS**************************************************
# Set the following JDK_HOME_INIT variable to the home directory containing the jdk1.3 
# You can download it at http://java.sun.com/products, select Java 2 SDK, Standard Edition v1.3
JDK_HOME_INIT=/usr/opt/jdk1.3
# *********************************************************************************************

# Get the directory of this script
END_DIR=`dirname $0`
BEGIN_DIR=`pwd`
if [ "$END_DIR" = "." ]
then
	DIR_SCRIPT="$BEGIN_DIR"
else
	DIR_SCRIPT="$BEGIN_DIR/$END_DIR"
fi

JSB_HOME_INIT=$DIR_SCRIPT

TOMCAT_HOME=$JSB_HOME_INIT/tomcat
CLASSPATH=$TOMCAT_HOME/webapps/JSBrowser/WEB-INF/classes
cd "${JSB_HOME_INIT}"

export TOMCAT_HOME
export CLASSPATH


howToSetJdkHome(){
	echo "You need to set the JDK_HOME_INIT variable in the InitJSBrowser.sh file"
	echo "then relaunch InitJSBrowser.sh to initialize JSBrowser."
	echo ""
	echo "If you have not the jdk on your host, you can download it at:"
	echo "http://java.sun.com/products, select Java 2 SDK, Standard Edition v1.3"
	echo ""
	exit 1	
}

invalidUser(){
	echo "You must be root to run this command."
	echo ""
	exit 1	
}


if [ "${JDK_HOME_INIT}" = "" ] 
then
	howToSetJdkHome
fi


if [ ! -f "${JDK_HOME_INIT}/bin/java" ]
then
	echo "Unable to locate the java program, check the value of JDK_HOME_INIT."
	echo ""
	howToSetJdkHome
fi


uid=`id -u`
if [ "${uid}" != "0" ]
then
	invalidUser
fi

echo ""
echo "Please wait..."
${JDK_HOME_INIT}/bin/java browse.InitJSBrowser "${JSB_HOME_INIT}/config/Browse.properties" "${JDK_HOME_INIT}"
echo "Initialization done."
echo ""
echo "Now, you can start JSBrowser."
echo ""
echo "Do not forget to launch the \"GenJavadoc\" program in order"
echo "to be able to view the javadoc of the source files."
echo ""

exit 0