#!/bin/sh

echo ""
echo ""

JDK_HOME=
JSB_HOME=
TOMCAT_HOME=${JSB_HOME}/tomcat

howToSetJdkHome(){
	echo "You need to set the JDK_HOME_INIT variable in the InitJSBrowser.bat file"
	echo "then relaunch InitJSBrowser.bat to initialize JSBrowser."
	echo ""
	echo "If you have not the jdk on your host, you can download it at:"
	echo "http://java.sun.com/products, select Java 2 SDK, Standard Edition v1.3"
	echo ""
	exit 1	
}

invalidUser(){
	echo "You must be root to run this command."
	echo ""
	exit 1	
}


if [ "${JDK_HOME}" = "" ]
then 
	howToSetJdkHome
fi


uid=`id -u`
if [ "${uid}" != "0" ]
then
	invalidUser
fi


PROJECT_NAME=
SOURCE_PATH=
EXTERNAL_JAVADOC=
PROJECT_JAVADOC_DIR=${JSB_HOME}/javadoc/${PROJECT_NAME}
CLASSPATH=${JSB_HOME}/config:${TOMCAT_HOME}/webapps/JSBrowser/WEB-INF/classes

export JDK_HOME
export CLASSPATH

echo "*********************************************************"
echo "Generate the documentation for ${PROJECT_NAME}"
echo "*********************************************************"

cd "${JSB_HOME}"

if [ "${PROJECT_JAVADOC_DIR}" = "" ]
then 
	echo "Error in the PROJECT_JAVADOC_DIR internal variable"
	exit 1
fi

rm -rf "${PROJECT_JAVADOC_DIR}/*"

${JDK_HOME}/bin/java browse.UpdateJavadocPackage ${PROJECT_NAME}

cd ${PROJECT_JAVADOC_DIR} 
${JDK_HOME}/bin/javadoc -J-Xmx512m -private -version -bottom "<center>Generated by JSBrowser</center>" -sourcepath "${SOURCE_PATH}" ${EXTERNAL_JAVADOC} @${PROJECT_JAVADOC_DIR}/packages.txt

echo "*********************************************************"
echo "Documentation generated for ${PROJECT_NAME}"
echo "*********************************************************"

echo ""

exit 0
