#!/bin/sh

echo ""
echo ""

JDK_HOME=
JSB_HOME=

TOMCAT_HOME=${JSB_HOME}/tomcat
JAVA_HOME=${JDK_HOME}
CLASSPATH=${JSB_HOME}/config

cd "${JSB_HOME}"

export JAVA_HOME
export JDK_HOME
export TOMCAT_HOME
export CLASSPATH

howToSetJdkHome(){
	echo "You need to set the JDK_HOME_INIT variable in the InitJSBrowser.sh file"
	echo "then relaunch InitJSBrowser.sh to initialize JSBrowser."
	echo ""
	echo "If you have not the jdk on your host, you can download it at:"
	echo "http://java.sun.com/products, select Java 2 SDK, Standard Edition v1.3"
	echo ""
	exit 1	
}


invalidUser(){
	echo "You must be root to run this command."
	echo ""
	exit 1	
}


if [ "${JDK_HOME}" = "" ]
then 
	howToSetJdkHome
fi


uid=`id -u`
if [ "${uid}" != "0" ]
then
	invalidUser
fi


which netscape > /dev/null 2>&1
if [ "$?" = "0" -a "$DISPLAY" != "" ]
then
	echo "Trying to launch netscape..."
	echo "If netscape does not start, launch a browser and open the file:"
	echo "file:${JSB_HOME}/doc/local.html"
	netscape ${JSB_HOME}/doc/local.html &
else
	echo "When JSBrowser wil be running, launch a browser and open the file:"
	echo "file:${JSB_HOME}/doc/local.html"
fi
echo ""
echo ""


CLASSPATH=${CLASSPATH}:${TOMCAT_HOME}/lib/ant.jar:${TOMCAT_HOME}/lib/jasper.jar:${TOMCAT_HOME}/lib/jaxp.jar:${TOMCAT_HOME}/lib/parser.jar:${TOMCAT_HOME}/lib/servlet.jar:${TOMCAT_HOME}/lib/webserver.jar:${JAVA_HOME}/lib/tools.jar
${JAVA_HOME}/bin/java org.apache.tomcat.startup.Tomcat -home ${TOMCAT_HOME} &

exit 0
